# This file created by conda-build 3.2.2
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/notebook-5.3.1-python3.6-on-linux_32, last modified Fri Jan 19 15:47:51 2018
# ------------------------------------------------

package:
    name: notebook
    version: 5.3.1
source:
    fn: notebook-5.3.1.tar.gz
    sha256: 380bbed63117accbb13e42d01d06153c72da6a386f75c81ae4c174eaa11e738b
    url: https://pypi.io/packages/source/n/notebook/notebook-5.3.1.tar.gz
build:
    entry_points:
        - jupyter-nbextension = notebook.nbextensions:main
        - jupyter-notebook = notebook.notebookapp:main
        - jupyter-serverextension = notebook.serverextensions:main
    number: '0'
    string: py36_0
requirements:
    host:
        - ca-certificates 2017.08.26 h1d4fec5_0
        - certifi 2017.11.5 py36h07e792d_0
        - libedit 3.1 h9ac1fc1_0
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 7.2.0 h7cc24e2_2
        - libstdcxx-ng 7.2.0 h7a57d05_2
        - ncurses 6.0 h8a800b7_2
        - openssl 1.0.2n hb7f436b_0
        - pip 9.0.1 py36hdf7ad74_4
        - python 3.6.4 hc3d631a_1
        - readline 7.0 h6b4b497_4
        - setuptools 38.4.0 py36_0
        - sqlite 3.20.1 h27bc12f_2
        - tk 8.6.7 h9a736a7_3
        - wheel 0.30.0 py36h89e8202_1
        - xz 5.2.3 ha3e1f4e_2
        - zlib 1.2.11 h907e355_2
    run:
        - ipykernel
        - ipython_genutils
        - jinja2
        - jupyter_client
        - jupyter_core
        - nbconvert
        - nbformat
        - python >=3.6,<3.7.0a0
        - send2trash
        - terminado >=0.3.3
        - tornado >=4
        - traitlets >=4.3
test:
    commands:
        - jupyter notebook -h
        - jupyter nbextension -h
        - jupyter serverextension -h
    imports:
        - notebook
app:
    cli_opts:
        -   args: --port %s
            default: '8080'
            name: port
            summary: Server port ...
    entry: jupyter-notebook
    icon: jupyter.png
    summary: Jupyter Notebook
    type: web
about:
    description: 'Jupyter Notebook is a web application, a browser-based tool for
        interactive

        authoring of documents which combine explanatory text, mathematics, computations

        and their rich media output.

        '
    dev_url: https://github.com/jupyter/notebook
    doc_source_url: https://github.com/jupyter/notebook/blob/master/docs/source/index.rst
    doc_url: https://jupyter-notebook.readthedocs.org/en/latest/
    home: http://jupyter.org
    license: BSD 3-clause
    license_family: BSD
    license_file: COPYING.md
    summary: A web-based notebook environment for interactive computing
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - SylvainCorlay
        - jakirkham
        - minrk
        - pelson
